Subject: Re: [bug#35641] [PATCH] services: gdm: Include user profile in D-Bus paths.

From: Ludovic Courtès <[email-masked]>
Date: Sun, 12 May 2019 23:17:32 +0200

Hi Timothy,

Timothy Sample <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Timothy Sample <[email-masked]> skribis:
>>
>> [...]
>>
>>> Is it okay to assume that “.guix-profile” is the user’s profile like
>>> this?  If it isn’t okay in general, is it okay enough for now?
>>
>> In this particular case, I’d say it’s OK.
>>
>> Do we have any other option on the table anyway?
>
> We could run D-Bus from a login shell.  The reason I didn’t opt for this
> is that GDM launches D-Bus from a stripped-down environment.  It’s not
> clear to me if there’s a reason for doing so, or if it was just the way
> the code came together.  Essentially, I’m trying to be conservative.
>
> I’m still holding out hope that a future “user sessions” feature in Guix
> will make all of these hacks go away.  :)

As we accumulate the hacks, motivation rises!  :-)

> I pushed a nicer version (following the style of the “xinitrc” code)
> with a long comment as dcb3a0fe0a086b4762a721e9b1da64826d5160d0.

Thank you!

Ludo’.